Project Chrono: chrono::ChLinkLimit Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::ChLinkLimit Class Reference

## Description

Class for limits in ChLinkLock joints.

`#include <ChLinkLimit.h>`

Collaboration diagram for chrono::ChLinkLimit:
[legend]

## Public Member Functions
| ChLinkLimit (const ChLinkLimit &other)
ChLinkLimit * | Clone () const
bool | IsActive () const
void | SetActive (bool val)
bool | IsPenalty () const
bool | IsPolar () const
bool | IsRotation () const
void | SetPenalty (bool val)
void | SetPolar (bool val)
void | SetRotation (bool val)
double | GetMax () const
double | GetMin () const
double | GetMaxCushion () const
double | GetMinCushion () const
double | GetSpringCoefficientMax () const
double | GetSpringCoefficientMin () const
double | GetDampingCoefficientMax () const
double | GetDampingCoefficientMin () const
double | GetPolarAngleMax (double pol_ang) const
void | SetMax (double val)
void | SetMin (double val)
void | SetMaxCushion (double val)
void | SetMinCushion (double val)
void | SetSpringCoefficientMax (double val)
void | SetSpringCoefficientMin (double val)
void | SetDampingCoefficientMax (double val)
void | SetDampingCoefficientMin (double val)
void | SetSpringModulationMax (std::shared_ptr< ChFunction > funct)
void | SetSpringModulationMin (std::shared_ptr< ChFunction > funct)
void | SetDamperModulationMax (std::shared_ptr< ChFunction > funct)
void | SetDamperModulationMin (std::shared_ptr< ChFunction > funct)
void | SetPolarAngleModulationMax (std::shared_ptr< ChFunction > funct)
std::shared_ptr< ChFunction > | GetSpringModulationMax () const
std::shared_ptr< ChFunction > | GetSpringModulationMin () const
std::shared_ptr< ChFunction > | GetDamperModulationMax () const
std::shared_ptr< ChFunction > | GetDamperModulationMin () const
std::shared_ptr< ChFunction > | GetPolarAngleModulationMax () const
double | GetViolation (double x) const
| Return negative violation when x<min, or positive if x>max.
double | GetForceTorque (double x, double x_dt) const
double | GetPolarForce (double x, double x_dt, double pol_ang) const
void | ArchiveOut (ChArchiveOut &archive_out)
| Method to allow serialization of transient data to archives.
void | ArchiveIn (ChArchiveIn &archive_in)
| Method to allow deserialization of transient data from archives.

## Public Attributes
ChConstraintTwoBodies | constr_upper
ChConstraintTwoBodies | constr_lower

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLinkLimit.h
- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLinkLimit.cpp